##
##  liblogging.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         liblogging
Summary:      Reliable BEEP-Based Logging Library
URL:          http://www.liblogging.org/
Vendor:       Rainer Gerhards
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Logfile
License:      BSD
Version:      1.0.6
Release:      20170306

#   list of sources
Source0:      http://download.rsyslog.com/liblogging/liblogging-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    RFC 3195 offers reliable connections between syslog clients and
    collectors (servers, daemons). This is highly desirable in todays
    networking world. However, RFC 3195 was initially not implemented
    because many implementors thought it was too complex. The reason for
    this is that 3195 is a BEEP profile (see RFC 3080 and 3081). BEEP
    itself is a very powerful, yet relatively complex protocol. Full
    BEEP libraries are hard to find and often place restrictions on the
    developer, especially in regard to threading models and such.

    Liblogging takes a different approach. It is a library specifically
    created to talk syslog, NOT general BEEP. It provides just the bare
    functionality needed for syslog, nothing else. Consequently it is
    very slim.

%track
    prog liblogging = {
        version   = %{version}
        url       = http://download.rsyslog.com/liblogging/
        regex     = liblogging-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --includedir=%{l_prefix}/include/liblogging \
        --disable-journal \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

